Bug 2024647

Summary: libtool does not support -fuse-ld= and -fsanitize flags
Product: [Fedora] Fedora Reporter: Dmitri A. Sergatskov <dasergatskov>
Component: libtoolAssignee: Frédéric Bérat <fberat>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: low    
Version: 36CC: fberat, fjanus, fweimer, ivazqueznet, jakub, karsten, kasal, odubaj, panovotn, praiskup, rhbugs
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: libtool-2.4.6-48.fc37 libtool-2.4.6-48.fc36 libtool-2.4.6-48.fc35 libtool-2.4.6-50.fc35 Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-02-09 10:53:34 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Dmitri A. Sergatskov 2021-11-18 15:22:46 UTC
Description of problem:
Currently libtool does not understand -fule-ld= flag 

Version-Release number of selected component (if applicable):
libtool-2.4.6-44

How reproducible:
100%

Steps to Reproduce:
1.try to compile something and pass LDFLAGS="-fuse-ld=lld"
2. 
3.

Actual results:
/usr/bin/ld will be used for linking

Expected results:

/usr/bin/lld is used for linking

Additional info:

This applies to RHEL/Centos libtool as well.

The patch is available at:

https://github.com/PhantomX/slackbuilds/blob/main/libtool/patches/libtool-2.4.6-fuse-ld.patch

Comment 1 Dmitri A. Sergatskov 2021-11-18 15:53:22 UTC
Perhaps add support for "-fsanitize=" flag as well. Here is Debian's patch:

https://salsa.debian.org/mckinstry/libtool/-/commit/26c23f951d049241128e5e04a7bbc263e5b145f1

Comment 2 Ben Cotton 2022-02-08 21:24:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 36 development cycle.
Changing version to 36.

Comment 3 Fedora Update System 2022-02-09 10:52:52 UTC
FEDORA-2022-24c01e428f has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-24c01e428f

Comment 4 Fedora Update System 2022-02-09 10:53:34 UTC
FEDORA-2022-24c01e428f has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2022-02-09 11:19:31 UTC
FEDORA-2022-ca2698d151 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-ca2698d151

Comment 6 Fedora Update System 2022-02-09 13:11:44 UTC
FEDORA-2022-7ff8d3feb1 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-7ff8d3feb1

Comment 7 Fedora Update System 2022-02-09 16:45:00 UTC
FEDORA-2022-ca2698d151 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2022-02-10 02:56:51 UTC
FEDORA-2022-7ff8d3feb1 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-7ff8d3feb1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-7ff8d3feb1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-02-23 16:08:07 UTC
FEDORA-2022-e91417cb43 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-e91417cb43`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-e91417cb43

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-03-05 18:30:17 UTC
FEDORA-2022-e91417cb43 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.